<?php

/**
 * @file
 * Process payments using Authorize.net. Supports AIM and ARB.
 *
 *
 */


/**
 * List the CIM profile information.
 */
function uc_authnet_cim_profile_form($form_state, $rfid) {
  $fee = uc_recurring_fee_user_load($rfid);

  uc_authnet_setup();
  $request = new AuthorizeNetCIM;
  $response = $request->getCustomerPaymentProfile($fee->data['customerProfileId'], $fee->data['customerPaymentProfileId']);
  if ($response->isOk()) {
    $form['value'] = array(
      '#value' => _authnet_print_r($response->xml->paymentProfile),
    );
  }
  else {
    $form['info'] = array(
      '#value' => t('Unable to return profile details for: <br/><strong>customerProfileId:</strong> @customerProfileId<br/><strong>customerPaymentProfileId:</strong> @customerPaymentProfileId <br/><br/> @error', 
        array(
          '@customerProfileId' => $fee->data['customerProfileId'],
          '@customerPaymentProfileId' => $fee->data['customerPaymentProfileId'],
          '@error' => $response->getErrorMessage())
        ),
    );
  }
  return $form;
}


